
#include <avr/io.h>
#include <stdlib.h>

#ifndef F_CPU
#define F_CPU 16000000L
#endif

#include <util/delay.h>
#include "i2cmaster.h"
#include "lcd-routines.h"

#define DS1621_Write  0x90
#define DS1621_Read   0x91

void ds1621_einschalten(void)
	{
		i2c_init(); 	                           
    	i2c_start(DS1621_Write);	
		i2c_write(0xEE);
		i2c_stop();
		i2c_start(DS1621_Read);
    	i2c_write(0xAA);
    	i2c_stop();
		_delay_ms(200);
	}
///*****************************************************************************/////
int main(void)
{

	// Initialisierung des LCD
  	lcd_init();

	// Die Ausgabemarke in die 2te Zeile setzen
 	lcd_setcursor( 0,2 );
 
 	// erneut Text ausgeben, aber diesmal komfortabler als String
  	lcd_string("Ist Temp");

	ds1621_einschalten();

while(1)
  {
	_delay_ms(200);
	uint8_t temperatur;
 
 	         
	i2c_start(DS1621_Read);

    temperatur = i2c_readAck();
    i2c_readNak();
    i2c_stop();			  		
  
  	// Die Ausgabemarke in die 2te Zeile setzen
 	
	lcd_setcursor( 0,3 );	
	{

	char Buffer[20];
 
  	itoa( temperatur, Buffer, 10 );
  	lcd_string( Buffer ); // ggf. auch lcd_out() o.. in anderen Libraries 

	}
	lcd_string("Grad");


  }
 
}


